diff -Naur libocispec-main/configure.ac libocispec-main-patched/configure.ac
--- libocispec-main/configure.ac	2021-05-15 02:39:22.000000000 +0200
+++ libocispec-main-patched/configure.ac	2021-06-03 17:14:23.771504006 +0200
@@ -6,26 +6,13 @@
 
 AC_USE_SYSTEM_EXTENSIONS
 
-LT_INIT([disable-shared])
+LT_INIT
 
 AM_INIT_AUTOMAKE([1.11 -Wno-portability foreign tar-ustar no-dist-gzip dist-xz subdir-objects])
 AM_MAINTAINER_MODE([enable])
 AM_SILENT_RULES([yes])
 
-AM_EXTRA_RECURSIVE_TARGETS([yajl])
-AC_CONFIG_SUBDIRS([yajl])
-
-AC_ARG_ENABLE(embedded-yajl,
-AS_HELP_STRING([--enable-embedded-yajl], [Statically link a modified yajl version]),
-[
-case "${enableval}" in
-  yes) embedded_yajl=true ;;
-  no)  embedded_yajl=false ;;
-  *) AC_MSG_ERROR(bad value ${enableval} for --enable-embedded-yajl) ;;
-esac],[embedded_yajl=false])
-
-AM_CONDITIONAL([HAVE_EMBEDDED_YAJL], [test x"$embedded_yajl" == xtrue])
-AM_COND_IF([HAVE_EMBEDDED_YAJL], [], [PKG_CHECK_MODULES([YAJL], [yajl >= 2.1.0])])
+PKG_CHECK_MODULES([YAJL], [yajl >= 2.1.0])
 
 AC_ARG_VAR(OCI_RUNTIME_EXTENSIONS, [extensions for the OCI runtime parser])
 AC_ARG_VAR(OCI_IMAGE_EXTENSIONS, [extensions for the OCI image parser])
diff -Naur libocispec-main/Makefile.am libocispec-main-patched/Makefile.am
--- libocispec-main/Makefile.am	2021-05-15 02:39:22.000000000 +0200
+++ libocispec-main-patched/Makefile.am	2021-06-03 17:29:40.322551766 +0200
@@ -1,17 +1,15 @@
-DIST_SUBDIRS = yajl
-SUBDIRS = yajl
-
 AM_CFLAGS = $(WARN_CFLAGS) -I$(top_srcdir)/src -I$(top_builddir)/src
 
-if HAVE_EMBEDDED_YAJL
-AM_CFLAGS += -I$(top_srcdir)/yajl/src/headers
-endif HAVE_EMBEDDED_YAJL
+AM_CFLAGS += $(shell pkg-config --cflags yajl)
+AM_LDFLAGS = $(shell pkg-config --libs yajl)
+
+ARFLAGS = cr
 
 CLEANFILES = $(man_MANS) src/runtime_spec_stamp src/image_spec_stamp src/image_manifest_stamp src/basic-test_stamp
 
 GITIGNOREFILES = build-aux/ gtk-doc.make config.h.in aclocal.m4
 
-noinst_LTLIBRARIES = libocispec.la
+lib_LTLIBRARIES = libocispec.la
 noinst_LIBRARIES = libocispec.a
 
 SOURCE_FILES = \
@@ -124,6 +121,10 @@
 	src/read-file.c \
 	src/json_common.c
 
+libocispec_la_LDFLAGS = -module -avoid-version -shared
+
+pkginclude_HEADERS = $(HEADER_FILES) src/json_common.h
+
 TMP_H_FILES = $(HEADER_FILES:.h=.h.tmp)
 TMP_C_FILES = $(SOURCE_FILES:.c=.c.tmp)
 
@@ -131,17 +132,10 @@
 
 TESTS_LDADD = libocispec.la $(SELINUX_LIBS)
 
-if HAVE_EMBEDDED_YAJL
-TESTS_LDADD += yajl/libyajl.la
-else
 TESTS_LDADD += $(YAJL_LIBS)
-endif
 
 libocispec_a_SOURCES =
 
-libocispec.a: libocispec.la $(BUILT_SOURCES) src/runtime_spec_stamp src/image_spec_stamp src/image_manifest_stamp src/basic-test_stamp
-	$(LIBTOOL) --mode=link $(GCC) libocispec.la -o libocispec.a
-
 tests_test_1_SOURCES = tests/test-1.c
 tests_test_1_LDADD = $(TESTS_LDADD)
